Die Seite für Alsterweiler von Matthias C.S. Dreyer u.a.

MediaWiki:Common.css: Unterschied zwischen den Versionen

Aus Alsterweiler
Zur Navigation springen Zur Suche springen
K
K
Zeile 1: Zeile 1:
 +
/*BEGINN - VORLAGE AUS Mediawiki:common.css - Eingefügt 17.06.17*/
 +
/* CSS an dieser Stelle wirkt sich auf den Vector-Skin aus. Für allgemeingültige
 +
  Skin-Anpassungen bitte [[MediaWiki:Common.css]] bearbeiten. */
 +
 +
/* +++++ Anpassungen für absolut positionierte Objekte: [[phab:T40848]] +++++ */
 +
 +
/*
 +
* Die folgenden Regeln ändern den Bezugsrahmen für absolut positionierte
 +
* Elemente von .mw-body-content nach .mw-body und gleichen in diesem Sinne den
 +
* Vector-Skin an den Monobook-Skin an, um die von dort „bewährte“ Koordinaten-
 +
* position über der SiteNotice zu ermöglichen.
 +
* Dies hat schädliche Auswirkungen, unter anderem bewirkt es, dass der Bereich
 +
* des Moduls „mw.notify“ für „bubbles“ viel zu weit unten angezeigt wird, vgl.
 +
* [[phab:diffusion/SVEC/browse/master/skinStyles/mediawiki.notification.less]]
 +
*/
 +
.mw-body {
 +
position: relative;
 +
z-index: 0; /* [[phab:T40848]] */
 +
}
 +
.mw-body-content {
 +
position: static;
 +
}
 +
 +
/*
 +
* Koordinaten und diverse andere Anzeigen oben rechts, siehe
 +
* [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
 +
* Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
 +
* deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
 +
* Schriftgröße.
 +
* Der folgende Darstellungsfehler ist bekannt: Wenn die Fensterbreite kleiner
 +
* als 982px ist und die Schriftgröße des Wurzelelements wie üblich 16px ist,
 +
* überlappen sich die 17px hohen Icons der Gadgets „WikiMiniAtlas“ und
 +
* „OpenStreetMap“ mit der SiteNotice.
 +
*/
 +
#mw-content-text #coordinates,
 +
#mw-content-text #editcount,
 +
#mw-content-text #issnlink,
 +
#mw-content-text #shortcut,
 +
body.ns-special #mw-content-text .specialpage-helplink {
 +
display: block;
 +
font-size: x-small;
 +
line-height: 1.5;
 +
position: absolute;
 +
right: 1.6em;
 +
text-align: right;
 +
text-indent: 0;
 +
top: .2em;
 +
white-space: nowrap;
 +
}
 +
@media screen and (min-width: 982px) {
 +
#mw-content-text #coordinates,
 +
#mw-content-text #editcount,
 +
#mw-content-text #issnlink,
 +
#mw-content-text #shortcut,
 +
body.ns-special #mw-content-text .specialpage-helplink {
 +
right: 2.4em;
 +
}
 +
}
 +
/*ENDE - VORLAGE AUS Mediawiki:common.css*/
 +
 +
 +
 +
 +
 +
 
/*GENERELLE EINSTELLUNGEN zur Seite DATUM:2017-04-30*/
 
/*GENERELLE EINSTELLUNGEN zur Seite DATUM:2017-04-30*/
 
/* TOPLEISTE beeinflussen */
 
/* TOPLEISTE beeinflussen */

Version vom 19. Juni 2017, 09:01 Uhr

/*BEGINN - VORLAGE AUS Mediawiki:common.css - Eingefügt 17.06.17*/
/* CSS an dieser Stelle wirkt sich auf den Vector-Skin aus. Für allgemeingültige
   Skin-Anpassungen bitte [[MediaWiki:Common.css]] bearbeiten. */

/* +++++ Anpassungen für absolut positionierte Objekte: [[phab:T40848]] +++++ */

/*
 * Die folgenden Regeln ändern den Bezugsrahmen für absolut positionierte
 * Elemente von .mw-body-content nach .mw-body und gleichen in diesem Sinne den
 * Vector-Skin an den Monobook-Skin an, um die von dort „bewährte“ Koordinaten-
 * position über der SiteNotice zu ermöglichen.
 * Dies hat schädliche Auswirkungen, unter anderem bewirkt es, dass der Bereich
 * des Moduls „mw.notify“ für „bubbles“ viel zu weit unten angezeigt wird, vgl.
 * [[phab:diffusion/SVEC/browse/master/skinStyles/mediawiki.notification.less]]
 */
.mw-body {
	position: relative;
	z-index: 0; /* [[phab:T40848]] */
}
.mw-body-content {
	position: static;
}

/*
 * Koordinaten und diverse andere Anzeigen oben rechts, siehe
 * [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
 * Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
 * deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
 * Schriftgröße.
 * Der folgende Darstellungsfehler ist bekannt: Wenn die Fensterbreite kleiner
 * als 982px ist und die Schriftgröße des Wurzelelements wie üblich 16px ist,
 * überlappen sich die 17px hohen Icons der Gadgets „WikiMiniAtlas“ und
 * „OpenStreetMap“ mit der SiteNotice.
 */
#mw-content-text #coordinates,
#mw-content-text #editcount,
#mw-content-text #issnlink,
#mw-content-text #shortcut,
body.ns-special #mw-content-text .specialpage-helplink {
	display: block;
	font-size: x-small;
	line-height: 1.5;
	position: absolute;
	right: 1.6em;
	text-align: right;
	text-indent: 0;
	top: .2em;
	white-space: nowrap;
}
@media screen and (min-width: 982px) {
	#mw-content-text #coordinates,
	#mw-content-text #editcount,
	#mw-content-text #issnlink,
	#mw-content-text #shortcut,
	body.ns-special #mw-content-text .specialpage-helplink {
		right: 2.4em;
	}
}
/*ENDE - VORLAGE AUS Mediawiki:common.css*/






/*GENERELLE EINSTELLUNGEN zur Seite DATUM:2017-04-30*/
/* TOPLEISTE beeinflussen */
div#mw-head {
    background-color: #c4d6f4;/* Topleiste #c4d6f4 oder dunkelblau #164EAF */
    height: 27px;
}
div#mw-panel {
    top: 75px;
}
div#left-navigation {
    display: none;
}
div.vectortTabs {
    display: none;
}


/*TABELLEN mit Bezeichnung WIKITABLE DATUM:2017-04-30*/
.wikitable {
  font-size: 90%;
}
table.wikitable tr th {
  background-color: #d8d8d8;
}
.wikitable tbody tr:nth-child(even) { 
  background-color: #e4ebf2; 
  color: #000; 
}
.wiktitable tbody tr:hover, tfoot tr:hover { 
  background-color:#fffbf0;
}
.wikitable tbody td:hover, tfoot td:hover { 
  background-color: #fce4a2; 
}
/*DATENTABELLE DATUM:2017-04-30*/
.srf-datatables table .header {
     background-color: #c4d6f4;
}
/*TABELLEN ENDE*/
/*GENERELLE EINSTELLUNGEN ENDE*/

/*AUSBLENDUNGEN DATUM:2017-04-30*/
/* Inhalt der Seite Attribut:Ist NummerPerson verbergen */
body.page-Attribut_Ist_NummerPerson div#bodyContent {
    display: none;
}
body.page-Main_Page #mp-topbanner {
    clear: both;
}
div#content h1#firstHeading.firstHeading {
	border: none;
}
/*Diskussionseite und Reiter Seitenanzeige entfernen */
#ca-talk { 
  display: none; 
}
#ca-nstab-main { 
  display: none; 
}
#ca-nstab-category { 
  display: none; 
}
#ca-view { 
  display: none;
}
div#vectorTabs {
  display: non;
}
#ca-viewsource { 
  display: none; 
}
#ca-history { 
  display: none; 
}
/*LOGO ausblenden*/
#p-logo { 
  display: none; 
}
/*HAUPTSEITE*/
/* Überschrift der Hauptseite verbergen DATUM:2017-04-30*/
body.page-Hauptseite h1.firstHeading {
  display: none;
}
/*AUSBLENDUNGEN ENDE*/

/*ZITATE CITE IN MISTYROSE DATUM:2017-04-30*/
ol.references { font-size: 90%; }
ol.references li:target { background-color: MistyRose; }
sup.reference:target { background-color: #ddeeff; }
/* ZITATE ENDE*/

/*INHALTSVERZEICHNIS TOC RECHTS - SEITENTITEL - QUELLE: SMW BLUE DATUM:2017-04-30*/
/* Inhaltsverzeichnis smw-blue*/
#toc {
   background-color: #C4D6F4;
        float: left;
        margin: 10 10 10 30px;
        padding: 0.5em;
}
/* Einrückung bei unteren Ebenen veringern */
#toc>ul ul { margin-left:.2rem !important; 
}
/* Inhaltsverzeichnis smw-blue*/
/* Inhaltsverzeichnis Titel "Inhaltsverzeichnis" verbergen */
.ns-0 #toc h2 {
   display:none
}
.ns-0 #toc h1 {
   display:none
}
#toc #toctitle {
   display: none;
}
/*INHALTSVERZEICHNIS TOC RECHTS ENDE*/

/* ICONS auf der rechten Seite des Artikelbandes
*See also JS QUELLE: @source https://www.mediawiki.org/wiki/Snippets/Top_icons
* @version 5 Hide without javascript DATUM: 2017-04-30*/
.Top_icon_raw {
	display: none;
}

/* With JavaScript */
.Top_icon_dynamic {
	float: right;
        vertical-align:top;
	padding-left: 10px;
	font-size: 50%;
	width: auto !important;
}
.Top_icon_raw p, .Top_icon_dynamic p {
	padding: 0;
	margin: 0;
}
/*ICONS ENDE*/